.modal {
	position: fixed;
	top: 0;
	left: 0;
	z-index: 20;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.6);
	animation: show 0.8s;
	animation-fill-mode: forwards;
}

.modal-main {
	position: fixed;
	background: #252525;
	border: 1px solid #6366f1;
	border-radius: 8px;
	width: 40%;
	height: auto;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}

.modal-title {
	color: #6366f1;
	border: 0;
	border-top: 1px solid #6366f1;
	text-align: center;
	padding: 10px 20px;
	font-size: 24px;
}

.modal-content {
	color: whitesmoke;
	text-align: center;
	margin-top: 20px;
}

.modal-button {
	display: block;
	padding: 10px 20px;
	max-width: 500px;
	width: 100%;
	background: #6366f1;
	color: whitesmoke;
	margin: 10px auto;
	border-radius: 50px;
}

.modal-hr {
	width: 90%;
	margin: 0 auto;
}
.display-block {
	display: block;
}

.display-none {
	display: none;
}

.modal-button:hover {
	background: #4649f5;
}

@media screen and (max-width: 739px) {
	.modal-main {
		width: 100% !important;
		max-height: 100% !important;
		margin-top: 0;
	}
	.modal-content {
		margin: 0 !important;
		margin-top: 10px !important;
	}
}

@keyframes show {
	0% {
		opacity: 0;
	}
	100% {
		opacity: 1;
	}
}
